<?php
defined( '_JEXEC' ) or die( 'Restricted access' );
$rss = $this->params->get('rss');
$title = $this->params->get('title');
$slogan = $this->params->get('slogan');
?>
<!DOCTYPE HTML>
<html lang="en">

<head>

<jdoc:include type="head" />
<link rel="stylesheet" type="text/css" media="screen" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template;?>/css/screen.css" />

</head>

<body>

<!--header -->
<div id="header-wrap"><div id="header">

	<a name="top"></a>

	<h1 id="logo-text"><a href="<?php echo $this->baseurl ?>" title=""><?php if($title) : echo $title; else : echo $mainframe->getCfg('sitename'); endif; ?></a></h1>
	<?php if($slogan) : ?><p id="slogan"><?php echo $slogan; ?></p><?php endif; ?>

	<div  id="nav">
		<jdoc:include type="modules" name="menu" style="none"/>
	</div>

   <?php if ($rss): ?>
   <p id="rss">
      <a href="http://feeds.feedburner.com/<?php echo $rss; ?>">Grab the RSS feed</a>
   </p>
   <?php endif; ?>

   <?php if($this->countModules('search')) : ?>
   <jdoc:include type="modules" name="search" style="none"/>
   <?php endif; ?>

<!--/header-->
</div></div>
	
<!-- content-outer -->
<div id="content-wrap" class="clear" >

	<!-- content -->
   <div id="<?php if($this->countModules('right') != 0) : ?>content<?php else : ?>contentfull<?php endif; ?>">

   	<!-- main -->
	   <div id="<?php if($this->countModules('right') != 0) : ?>main<?php else : ?>mainfull<?php endif; ?>">
			<jdoc:include type="component" />
        <!-- /main -->
		</div>
	  <?php if($this->countModules('right')) : ?>
      <!-- sidebar -->
		<div id="sidebar">

		<jdoc:include type="modules" name="right" style="xhtml" />

      <!-- /sidebar -->
		</div>
		<?php endif; ?>

    <!-- content -->
	</div>

<!-- /content-out -->
</div>
		
<!-- footer-outer -->
<div id="footer-outer" class="clear"><div id="footer-wrap">

	<?php if($this->countModules('footer1')) : ?>
	 <div class="col-a">
      <jdoc:include type="modules" name="footer1" style="cbfooter" />
	<?php endif; ?>
	
	<?php if($this->countModules('footer2')) : ?>
	<div class="col-a">
		<jdoc:include type="modules" name="footer2" style="cbfooter" />
	</div>
	<?php endif; ?>
	
   <?php if($this->countModules('footer3')) : ?>
   <div class="col-a">
      <jdoc:include type="modules" name="footer3" style="cbfooter" />
   </div>
   <?php endif; ?>

   <?php if($this->countModules('footer4')) : ?>
   <div class="col-b">
      <jdoc:include type="modules" name="footer4" style="cbfooter" />
	</div>
	<?php endif; ?>

<!-- /footer-outer -->
</div></div>

<!-- footer-bottom -->
<div id="footer-bottom">

	<p class="bottom-left">
		<?php echo JText::_('Powered by');?> <a href="http://www.netzgeek.de/">Netzgeek</a> and <a href="http://www.styleshout.com/">styleshout</a>
	</p>

	<p class="bottom-right">
		<a href="http://jigsaw.w3.org/css-validator/check/referer">CSS</a> |
	   <a href="http://validator.w3.org/check/referer">XHTML</a>	|
      <strong><a href="#top">Back to Top</a></strong>
   </p>

<!-- /footer-bottom-->
</div>

</body>
</html>
